package com.steerinfo.ems.trmindexitem.mapper;

import com.steerinfo.ems.trmindexitem.model.TRmIndexItem;
import com.steerinfo.framework.mapper.IBaseMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TRmIndexItemMapper extends IBaseMapper<TRmIndexItem, String> {

	/**
	 * 能源综合分析-供需实绩分析-工序能耗对比分析查询
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate613(HashMap<String, Object> parmas);

	/**
	 * 能源综合分析-供需实绩分析-工序能耗跟踪及趋势分析(表1)
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate6141(HashMap<String, Object> parmas);
	
	/**
	 * 能源综合分析-供需实绩分析-工序能耗跟踪及趋势分析(表2)
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate6142(HashMap<String, Object> parmas);

	/**
	 * 能源综合分析-吨钢综合能耗分析-吨钢综合能耗跟踪及趋势分析查询-表1
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate6311(HashMap<String, Object> parmas);
	
	/**
	 * 能源综合分析-吨钢综合能耗分析-吨钢综合能耗跟踪及趋势分析查询-表2
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate6312(HashMap<String, Object> parmas);
	
	/**
	 * 能源综合分析-吨钢综合能耗分析-吨钢综合能耗影响因素分析查询
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate632(HashMap<String, Object> parmas);

    /**
     * 能源综合分析-指标管理-指标维护
     * @param parmas
     * @return
     */
	 List<Map<String,Object>> getTrees(HashMap<String, Object> parmas);

    /**
     * 求最大的id
     * @param tRmIndexItem
     * @return
     */
    String getMaxId(TRmIndexItem tRmIndexItem);

    /**
     * 根据指标类型查询IdAndName
     * @return
     */
    List<TRmIndexItem> getIdAndNameByIndextype(@Param("indextype") String indextype);

    /**
     * 能源综合分析-经济指标分析-能耗指标自身对比-结果区
     * @param parameters
     * @return
     */
    List<Map<String,Object>> getDate641(Map<String,Object> parameters);

    /**
     * 能源综合分析-经济指标分析-能耗指标自身对比-对比视图
     * @param parameters
     * @return
     */
    List<Map<String,Object>> getDate643(Map<String,Object> parameters);

    /**
     * 上报指标项目查询
     * 
     * @return
     */
    List<TRmIndexItem> selectLikewByParameters(HashMap<String, Object> parmas);
    
    /**
     * 指标项目查询，按照计算顺序排序，用于计算数据
     * 
     * @return
     */
    List<TRmIndexItem> selectByParasForFla(Map<String, Object> m);

}